MailSubjectRegExFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.email.filters.MailSubjectRegExFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email.filters
Class MailSubjectRegExFilter

    java.lang.Object
      org.mule.transport.email.filters.AbstractMailFilter
          org.mule.transport.email.filters.MailSubjectRegExFilter

All Implemented Interfaces:
  Filter

    public class MailSubjectRegExFilter

extends AbstractMailFilter

`MailSubjectRegExFilter` applies a regular expression to a Mail Message subject.

Field Summary

Fields inherited from class org.mule.transport.email.filters.AbstractMailFilter
`logger`

Constructor Summary
`MailSubjectRegExFilter()`

Method Summary
`boolean` | `accept(Message message)`
`boolean` | `equals(Object obj)`
`String` | `getExpression()`
`int` | `hashCode()`
`void` | `setExpression(String pattern)`

Methods inherited from class org.mule.transport.email.filters.AbstractMailFilter
`accept`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailSubjectRegExFilter

    public MailSubjectRegExFilter()

Method Detail

### accept

    public boolean accept(Message message)

  Specified by:
    `accept` in class `AbstractMailFilter`

### setExpression

    public void setExpression(String pattern)

### getExpression

    public String getExpression()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.